'use strict';

const Controller = require('egg').Controller;

class HomeController extends Controller {
  async index() {
    const { ctx } = this;
    ctx.body = 'hi, egg';
  }

  async sendmq() {
    const { ctx } = this;
    await this.service.rabbitmq.sendQueueMsg(ctx.query.ex, ctx.query.routekey, ctx.query.msg);
    this.ctx.body = '发送成功';
  }

  async receivemq() {
    const { ctx } = this;
    await this.service.rabbitmq.receiveQueueMsg(ctx.query.ex, ctx.query.routekey, msg => {
      console.log(msg);

      // 插入待办事项到数据库中。
      this.service.message.create({ userid: msg.userid, name: msg.name, createtime: msg.createtime, type: msg.type, content: msg.content, remark: msg.remark });

    });
    ctx.body = '接收成功';
  }
}

module.exports = HomeController;
