'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  router.get('/', controller.home.index);
  router.get('/api/sendmq', controller.home.sendmq);
  router.get('/api/receivemq', controller.home.receivemq);
  // 待办事项
  router.resources('message', '/api/message', controller.message); // index、create、show、destroy

};
